# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Rate My Team

### Hellions On Parade - Page 1

Previous Page

- 1

Next Page

#### Hellions On Parade

Posted by: Angrysmurf
Date: 2010-02-02 18:35:17
Hey GCLFers! Remember me? *shot*
Yeah, I found a spare moment to get on teh Internet, and I thought you guys might want to see my new team, which is much improved from my original team, IMO. I'm copying it from a Word doc, so if it looks like I just randomly stopped what I was saying… that's why.
[size=4]Also note well that this RMT was supposed to have formatting (colors, etc.), but SMF doesn't like them, so I deleted most of them (I seriously hate SMF's guts now; it's a piece of shit. The other forum I'm on can handle lots more code gracefully).[/size] I guess just pay attention to teh team and it's strategy more than its format!
Alrighty, here's the team!
=====================================================================
Introduction
Here is HELLIONS ON PARADE (I will refer to the team as HOP throughout the rest of the RMT), my fourth team ever and my second OU team. So far, it has won approximately 70% of its battles on Smogon. I am posting it here to see whether it can continue to win battles in the metagame, and whether it has any glaring weaknesses or potential corrections.
The Beginnings of HOP
The origin of the team is rather odd, actually. I first got the idea for the team in the strangest of places- during a high school midterm. I was finished with my exam, absent-mindedly twiddling a pair of my pencils in my fingers, when the blue coloring of another of my pencils caught my eye; for some reason, I immediately thought of a Gyarados. This only succeeded in irritating me a bit- I had been the victim of a DDng Gyara countless times. Suddenly, I had a great idea- why not build a team around such a Gyarados? Hellions on Parade was born.
Hellions on Parade? What kind of name is that?!
Well, Hellions on Parade is the name of a song by CKY, and I am familiar with the song, and I also felt that the title coincided with the way this team wins- with offensive powerhouses running around destroying opponents unchecked. I like to think of my sweepers as the hellions, and their victory is their parade.
=====================================================================
Strategy
HOP has one purpose- exploit an opponents current Pokémon to set up a sweep for one of my sweepers. It uses Stealth Rocks to aid this/these sweep/sweeps. The team excels at getting quick victories- even in the beginning of a battle, a few spare turns can mean a win due to the fact that this team packs mostly set-uppers, so I can easily take advantage of a typing mismatch to set up a sweep. My battling style suits this smash mouth type of play.
=====================================================================
Team Building
[img]http://i796.photobucket.com/albums/yy245/wutdahey/HellionsonParadePt1.png?t=1264873079[/img]
The team started with the idea of a DDng Gyara. Almost immediately, I thought of Magnezone, whom I have always thought of as a nice complement to Gyara. Just like that, I had a third of the team done.
[img]http://i796.photobucket.com/albums/yy245/wutdahey/HellionsonParadePt2.png?t=1264873115[/img]
With Scizor taken care of by Zone, I went about selecting a team member that was weak to Scizor, knowing that the Poké I chose would be safe from Scizor. CM Latias was my choice.
[img]http://i796.photobucket.com/albums/yy245/wutdahey/HellionsonParadePt3.png?t=1264873176[/img]
I had a bit of difficulty deciding my next member. I ended up opting for a Poké that could take SR well, get Psychics, but, most importantly, could wreck teams with a turn to set up. CB TTar was my choice.
[img]http://i796.photobucket.com/albums/yy245/wutdahey/HellionsonParadePt4.png?t=1264873203[/img]
I knew it was high time for a lead at this point. I wanted a Phazer and a SR set-up guy (SR is definitely essential to any sweeper-based team), but at the same time, I wanted the lead to hae synergy with the rest of the team. Swampert fulfilled this role.
[img]http://i796.photobucket.com/albums/yy245/wutdahey/HellionsonParadePt5.png?t=1264873248[/img]
I could see the team really coming together here, but I noticed that I lacked a good revenge killer. Wanting to keep the theme of set-up Pokés, I opted for a SD Lucario.
[img]http://www.pokemonelite2000.com/sprites/plmfa/260.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/130.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/462.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/248.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/380.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/448.png[/img]
======================================================================
Typing Chart
[img]http://i796.photobucket.com/albums/yy245/wutdahey/HellionsonParadeTypingChartsmall.png?t=1264873910[/img]
======================================================================
A Closer Look
====
[img]http://www.gtsplus.net/files/images/art/sugimori/260.png[/img]
Swampert (ExPert) @ Leftovers
Ability: Torrent
EVs: 252 HP/4 Atk/252 Def
Relaxed (+Def, -Spd)
-Stealth Rock
-Roar
-Ice Beam
-Earthquake
Why this Pokémon: Swampert achieves the two things I wanted out of my lead- Phazer and Stealth Rocker. He also works well with the rest of my team- he can take Electric moves aimed at Gyara, and any Grass moves used against him can in turn be sponged by Gyara/Lati. His bulky-Waterness (lol) also supports many of my other teammates. One of the best leads in OU, I felt Swampert did the best job of setting up my sweeps.
Roar vs. Surf vs. Protect: One of the disadvantages of HOP is the ability of the other team to set their own sweeps up on me. A Phazer was essential to this team, and putting Roar here means I dont have to waste a slot elsewhere to ensure sweep-stoppages (in particular CroCune, who laughs at TBolt on Zone after a CM or two).
ExPert vs. other leads:
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani376.gif[/img]Metagross: We both get to set up our Rocks, than I EQem to death.
[img]http://pokemonelite2000.com/sprites/dpiconani/dpiconani482.gif[/img]Azelf: Sometimes I SR the first turn, sometimes I Ice Beamem, and sometimes I switch to TTar. It depends on whether I think theyll use Taunt or not.
[img]http://pokemonelite2000.com/sprites/dpiconani/dpiconani385.gif[/img]Jirachi: Usually I go for EQ for a 2HKO. If they trick a Scarf, thats totally fine with me; Swampert turns into a sweeper of sorts.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani260.gif[/img]Swampert: SR 1st turn, EQ on the rest. Cross fingers and hope to win speed tie.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani142.gif[/img]Aerodactyl: Predicting a Taunt, I Ice Beam for a 2HKO.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani392.gif[/img]Infernape: Usually I switch out, fearing a Grass Knot, but occasionally Ill risk a SR.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani450.gif[/img]Hippowdon: Ice Beam is 2HKO, but I sometimes set SRs first.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani437.gif[/img]Bronzong: It cant really do much to me, so I set SRs and Roar to scout opponents team/accumulate SR damage.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani291.gif[/img]Ninjask: SR on the 1st turn as they Protect, than Roar on the next to end the BP string before it gets started.
[img]http://www.pokemonelite2000.com/sprites/dpiconani/dpiconani248.gif[/img]Tyranitar: Set SR, than EQ is my friend for a 2HKO.
====
[img]http://www.gtsplus.net/files/images/art/shiny/130.png[/img]
Gyarados (Gyar) @ Life Orb
Ability: Intimidate
EVs: 252 Atk/4 Def/252 Spd
Jolly (+Spd, -SAtk)
-Dragon Dance
-Earthquake
-Stone Edge
-Waterfall
Why this Pokémon: DDng Gyara was the 1st member I thought of for this team, so its a little bit difficult to explain his usage without generalizing, especially since this is a standard set. I guess I can say that I really love Gyara for his great typing, which makes Electric the only type that can score super-effectives, and his ability to change a match with only a quick set-up. This ability inspired the rest of the team.
Jolly vs. Admant: Not really that difficult of a choice for me; this team is a bit on the slow side barring set-up bonuses, so I thought a little speed boost could help a little.
Life Orb vs. Leftovers: This also wasnt too much of a choice for me either- I waited for the entire team to come together before I made decisions on split things like this; therefore, I already knew I had CM Latias, whom must make a similar choice. I decided to make Gyara more offensive and make Lati bulkier.
Earthquake vs. Bounce: Though I have EQ on two other Pokés, I found through experimentation that Bounce didnt really work out so well on this set, so I went with EQ.
====
[img]http://www.gtsplus.net/files/images/art/sugimori/462.png[/img]
Magnezone (In the Zone) @ Choice Scarf
Ability: Magnet Pull
EVs: 4 HP/252 Spd/252 SAtk
Naïve (+Spd, -SDef)
-Thunderbolt
-Hidden Power Fire
-Explosion
-Flash Cannon
Why this Pokémon: Magnezone is the team base, and really allows the rest of my team to work. CM Latiass chief threat Scizor is roasted by Zone, whom otherwise runs through my team easily with a SD set-up, and Zone generally eases CM Latiass sweep. Magnezones most useful ability, however, is to lure in Pokémon that my teammates can set-up on. Pursuit TTar takes out bulky Defense Pokés like Blissey that switch in on Zone with impunity. CM Latias sponges Fire moves and then sets up itself. As I said in Team Building, Gyarados has great synergy with Zone- Gyara resists all of Zones weaknesses. Gyara can sometimes sponge the weak hit meant for Zone, use a free turn to use DD, and then the sweep begins. Really, Magnezone glues the team together and makes possible its many sweep variations.
Naïve vs. Timid: Obviously, I want the increased Speed, because this allows me to outrun other Steels, but I had a choice to sacrifice either Attack power or Special Defense. In the end, I took the hit in Special Defense so as to maximize Explosions power.
HP Fire vs. HP Ice: Not a difficult decision. The team needed the ability to roast Steels like Scizor more than it needed HP Ice for Dragons (which are already countered by Latias, and, to an extent, Tyranitar).
Explosion vs. Toxic: Also a choice I didnt lose sleep over. The teams high-paced strategy and lust for momentum means Explosion is a much better choice than Toxic, which is more useful on Stall-like teams.
====
[img]http://www.gtsplus.net/files/images/art/sugimori/248.png[/img]
Tyranitar (Tar) @ Choice Band
Ability: Sand Stream
EVs: 160 HP/252 Atk/96 Spd
Adamant (+Atk, -SAtk)
-Earthquake
-Crunch
-Pursuit
-Stone Edge
Why this Pokémon: Tyranitar, although a force to be reckoned with his Choice Band, is here mostly for coverage. Psychics laugh at me without TTar; with him, I can either predict a switch and use Pursuit or Crunch em for a OH or 2HKO. Stone Edge also covers some Pokés that are covered elsewhere on the team but can wreak havoc if that particular Poké is gone. Mence walks through my team if CM Latias is gone if TTar isnt there with Stone Edge; Stone Edge also covers Gyara if Zone is out of action. Mainly, Tyranitar solidifies coverage against Pokémon that have a field day against the team unless hes there.
Earthquake vs. Aqua Tail: Kind of a toss-up for me; sometimes it feels like I dont have enough Water coverage, other times I feel like I cant pass up EQs 100 base power and accuracy. In the end I went with the reliable EQ.
====
[img]http://www.gtsplus.net/files/images/art/sugimori/380.png[/img]
Latias (Ti) @ Leftovers
Ability: Levitate
EVs: 4 HP/252 Spd/252 SAtk
Modest (+SAtk, -Atk)
-Calm Mind
-Surf
-Dragon Pulse
-Recover
Why this Pokémon: Latias was one of my later choices for HOP, but definitely one of the best- she works well with this team in a variety of ways. Firstly, Magnezone goes great with her, as he can clear away all Steel types that come in on Lati. In turn, she can switch in on moves meant for Zone, because she resists all super-effective moves aimed at Zone. Tyranitar, another Latias threat, can be disposed of by Gyarados, Lucario, and occasionally TTar himself. With most of Latiass counters being easily disposed of by a teammate, Latias excels on this team as one of its bulkier sweepers, and can wreck a team if she is able to set-up.
Leftovers vs. Life Orb: Going way back to Gyara, we can see the he must make the same choice. I wanted to balance the decision out and have one take LO and the other take Lefties, and since I want Lati to serve more of a bulky sweeper role, she gets Leftovers instead of Life Orb.
Modest vs. Timid: Once again going a bit bulkier, I decided that Lati has all the speed she needs, and I wanted to beef up her SAtk rather than her speed, so I went Modest.
Recover vs. Grass Knot vs. HP Fire: More of my choice to go bulky, although there existed more reasons than just that to use Recover. HP Fire is there to take away Scizor, but since I have Magnezone already doing a great job of doing that, HP Fire on Lati loses its usefulness. Tyranitar, who is threatened by Grass Knot if its there on Lati, is easily disposed of by other members of my team, so, once again, using Grass Knot is superfluous. Recover is the most useful to this set, because it allows Latias to stay in the battle longer- something my other Pokés cant do as well. In the end, Recover was the best choice for the 4th slot.
====
[img]http://www.gtsplus.net/files/images/art/hires/448.png[/img]
Lucario (Cairo) @ Life Orb
Ability: Inner Focus
EVs: 252 Atk/4 Def/252 Spd
Adamant (+Atk, -SAtk)
-Swords Dance
-Close Combat
-Extremespeed
-Stone Edge
Why this Pokémon: My last Pokémon choice, I saw a bit of a problem with HOP- I had no revenge killer with power. To an extent, I could use Zone to revenge kill, but even then, I lacked any priority. Luke amends that problem, with the added bonus of decent synergy and the ability to set up. He is my best sweeper for late-game. Gyara can sponge Fire and Ground moves meant for Luke, and TTar can take out Ghost types that have a field day with this set, so Luke does get support from other teammates. The main carrot for using this Lucario, though, is the pure power of SD+Extremespeed. As I said, priority was absent from the team before I added this set, so that combo really helped win matches. Many times I would be down 3-1, but their 3 had been weakened by other sweepers, and my 1 was Luke. I easily Extremespeeded them for a win. I feel that Luke is a great revenge killer for this team.
Admant vs. Jolly: I felt that speed wasnt that important with Extermespeed, and wanted the extra power instead. Another decision I made fairly easily.
Stone Edge vs. Crunch vs. Ice Punch: This decision, however, wasnt as easy to make. I had to decide what kind of Pokémon would threaten me in the late game. In the end, I decided that Gyara and Mence were most likely to be an issue in the late stages of the match, so I went with Stone Edge. I figured that Ghosts would be done in by TTar anyways.
======================================================================
Closing Comments
Those are the members of Hellions on Parade- a quick blitzkrieg-style team that wants to win battles quickly and smashingly. So far the team has been fairly successful on Smogon (I would estimate a .800 win percentage through around 70-80 battles), but I havent been using it for that long, so that number may not be that reliable.
Thanks for taking the time to read! I feel like Ive come a long way RMT-making wise since my first team.
======================================================================
Last Glance
[img]http://www.pokemonelite2000.com/sprites/plmfa/260.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/130.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/462.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/248.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/380.png[/img][img]http://www.pokemonelite2000.com/sprites/plmfa/448.png[/img]

#### Re: Hellions On Parade

Posted by: Axaj
Date: 2010-02-02 20:23:00
That team is pretty impressive. I wouldn't be a good judge though, as I only play UU or NU.

#### Re: Hellions On Parade

Posted by: Angrysmurf
Date: 2010-02-03 16:28:48

> That team is pretty impressive. I wouldn't be a good judge though, as I only play UU or NU.

Thanks. Unfortunately I'm not that good at UU.
Do you use Shoddy, by the way?

#### Re: Hellions On Parade

Posted by: Axaj
Date: 2010-02-03 19:19:54

> > That team is pretty impressive. I wouldn't be a good judge though, as I only play UU or NU.

> Thanks. Unfortunately I'm not that good at UU.
> Do you use Shoddy, by the way?

I used to, but it's broken on OSX…

#### Re: Hellions On Parade

Posted by: Angrysmurf
Date: 2010-02-04 18:05:01

> > > That team is pretty impressive. I wouldn't be a good judge though, as I only play UU or NU.

> > Thanks. Unfortunately I'm not that good at UU.
> > Do you use Shoddy, by the way?

> I used to, but it's broken on OSX…

Ah, that sucks. Oh well; I would've liked to battle you with a UU team someone else built for me.
Previous Page

- 1

Next Page